/*******************************************************************************/
/*			define.h															   */
/*******************************************************************************/

#define RESET_ID		0x2F

#define	SEARCH_BDNUM	32				/* VXeőCypressfoCX */
#define MAX_BOARD		16				/* ő哯gp{[h */
#define MAX_CH			16				/* őAiO`l */
#define MAX_MEM_NO		7				/* ővgKobt@TCYilaj */
#define	TRANSFER_SIZE_BASE	1			/* Pʂ̓[h */
#define	MAX_TRANSFER_NO	23				/* 񓖂̃f[^]ʎwWiőPUlj */
#define	TimeOutMaxValue	200000			/* ^CAEgƂȂ鏈ԁiʂrj */
#define	USB_BUFSIZE		16384			// tra|[g̎Mobt@TCY
#define	Not_Trigged		0				/* gKZbgtO */
#define	Trigged			1				/* gKZbgtO */
#define	Not_Set_FirstCh	0				/* XLJn`lݒ */
#define	Set_FirstCh		1				/* XLJn`lݒς */
#define	Set_FirstCh_Already	2			/* gKƂƂɐݒς */
#define	Average_Set		1				// ωw肷rbg
#define	ON				1
#define	OFF				0
#define	Max_ScanSpeed	4				// ōXLxiʂrj
#define	Len_SerialNum	13				// VAԍ
#define	OverWork		2				// Xbh񐔂̏iR]̂Q]ɕύXj
#define	In_Thread_On	1				// Xbh쒆Xe[^X
#define	BigBufSize		0x100000		// ̃f[^]őTCYiPloCgj
#define	NO_ERROR		0
		/* R}h` */

// Set_Clock֐̈
#define	Int20M			0
#define	Int16M			1
#define	ExtMinus20		2
#define	ExtPlus20		3
#define	ExtMinus16		4
#define	ExtPlus16		5
#define	Set_Period		0
#define	Set_Devide		1
#define	Clk_S			0
#define	Clk_mS			1
#define	Clk_uS			2
		/* WX^rbgp^[` */

// Set_SampCh
#define SCAN_0			0

// Start
#define	CLOCK_ONLY		0x80
#define POST_START		0
#define PRE_START		0x10
#define	EXTSTOP_PLUS	0x08
#define	EXT_STOP_ENABLE	0x04
#define	LIMIT			0x02
#define	UNLIMIT			1
#define	START			0x01
#define	STOP			0

//Set_Trigger
#define SOFT_TRIG		0x80
#define EXT_TRIG		0x40
#define ANALOG_TRIG		0x20
#define	TRIG_PLUS		0x10
#define	EDGE_TRIG		0x08	
#define	OUT_RANGE		0x14
#define	IN_RANGE		0x04
#define	DUAL_SLOPE_MINUS	0x0c
#define	DUAL_SLOPE_PLUS		0x1c

//Set_Clock
#define INT_CLOCK20		0x00				// QOlgNbNZbg
#define	INT_CLOCK16		0x20				// PUDRWSlgNbNZbg
#define EXT_CLOCK_MINUS	0x10
#define EXT_CLOCK_PLUS	0x90

// InpMode
#define	BINARY			0
#define	COMP			0x02

#define	SINGLE_INPUT	0x00
#define	DIFF_INPUT		0x40
#define	INTEL_ORDER		0x00
#define	MOTOROLA_ORDER	0x80

// Status[0]
#define SAMPLING_END	0x80
#define	EOS				0x40
#define	IRE_ERROR		0x20
#define	OVER_RUN		0x10
#define LOST_ERROR		0x08
#define FULL_FLAG		0x04
#define HALF_FULL		0x02
#define NOT_EMPTY		0x01

// Status[1]
#define	IN_SETTING		0x10
#define	EXT_STOP		0x08
#define	INT_REQ			0x04
#define	TIM_FIRST		0x02
#define TRIGGER			0x01

// Clear flags
#define	LOST_CLEAR		0x01
#define	OVERRUN_CLEAR	0x02
#define	IRE_CLEAR		0x04
#define	EOS_CLEAR		0x08
#define	SAMPEND_CLEAR	0x10
#define	TRIG_CLEAR		0x20
#define	TIM_EDGECLEAR	0x40
#define	INT_REQ_CLEAR	0x80
#define	INF_WRAP_ROUND	0x100

#define	LOST_CLEAR_BIT		0x08
#define	OVERRUN_CLEAR_BIT	0x10
#define	IRE_CLEAR_BIT		0x20
#define	EOS_CLEAR_BIT		0x40
#define	SAMPEND_CLEAR_BIT	0x80
#define	TRIG_CLEAR_BIT		0x01
#define	TIM_EDGECLEAR_BIT	0x02
#define	INT_REQ_CLEAR_BIT	0x04

// set_transfer_size
#define TRANFER_SIZE_MAX 128

// Message
#define MSG_SAMP_END	0		// TvOI
#define MSG_LOST_ERROR	1		// f[^XgG[ʒm
#define MSG_TRIGGER		2		// gKʒm
#define MSG_GET_PACKET	3		// pPbg]Iʒm
#define	MSG_RING		4		// Oobt@ꏄʒm
#define	MSG_SVREQ		5		// T[rXNGXgʒm

// bZ[Wvrbg`
#define	TRIGGER_MES		1		// gKobZ[Wvrbgp^[
#define	GET_PACKET_MES	2		// pPbgIbZ[Wvrbgp^[
#define	RINGBUFFER_MES	4		// Oobt@ꏄbZ[Wvrbgp^[
#define	SVREQ_MES		8		// T[rXNGXgbZ[Wvrbgp^[
// K{p[^
#define	Set_FirstChannel		0x1
#define	Set_LastChannel			0x2
#define	Set_AdCode				0x4
#define	Set_SampClk				0x8
#define	Set_SelectClock			0x10
#define	Set_ClockDiv			0x20
#define	Set_TriggerMode			0x40
#define	Set_InputRange			0x80
#define	All_ParameterSet		Set_FirstChannel | Set_LastChannel | Set_AdCode | Set_SampClk | Set_SelectClock | Set_ClockDiv | Set_TriggerMode | Set_InputRange
// G[bZ[W
#define ERR_DEVICE_OPEN			-1		// I[vĂȂjbggp悤Ƃ
#define	ERR_CMD_SIZE			-2		// R}hpPbg̃TCYs
#define ERR_LISTDEVICES 		-3		// XgfoCX֐ŃG[
#define	NO_ASSIGNED_BOARD		-4		// w肵ԍ̃{[hȂ
#define	SINGLE_DIFF_MIX			-5		// VO[hƍ[h݂Ă
#define	ERR_NOT_STARTED			-6		// ܂X^[gĂȂ{[hgp
#define	ERR_ALWAYS_START		-7		// TvOȂ̂ŃX^[głȂ
#define EXCEED_MAXDEV			-8		// o\ȃ{[h𒴂{[h݂
#define	ERR_ILLEGAL_BN			-9		// [^[XCb`ԍ͈͊O
#define ERR_NO416				-10		// eSPU݂Ȃ
#define	DUPLICATE_ROTARYSWVAL	-11		// [^[XCb`̒ldĂ
#define	CHANNEL_NUM_MISMATCH	-12		// TvO`ljbgɂĈقȂ
#define ERR_AD_CHANNEL_OVER		-13		// AiO̓`ls
#define	ERR_Illegal_Range		-14		// ̓Wُ͈͈
#define	ERR_ADCODE				-15		// f[^R[hs
#define	ERR_INPMODE				-16		// ̓[hs
#define	ERR_ID0_MISSING			-17		// ID=0̃jbgȂ
#define	ERR_RingBufferSize		-18		// Oobt@TCYOŃvgKTvOs悤Ƃ
#define	ERR_TRIGMODE			-19		// gK[hw肪ُ
#define	ERR_TRIGSOURCE			-20		// gK\[Xw肪ُ
#define	ERR_TRIGTYPE			-21		// gK^Cvُ
#define	ERR_TRIG1andTRIG2		-22		// gKPƃgKQ̊֌Wt]
#define	ERR_CLOCKSOURCE			-23		// NbN\[Xw肪ُ
#define	ERR_CLOCKSETMODE		-24		// NbNZbgw肪ُ
#define	ERR_CLOCKPERIOD			-25		// NbNwŎwlُ
#define	PERIOD_WITH_SLAVE		-26		// X[ujbgɑ΂Ďws
#define	ERR_SCAN_CLOCK_VALUE	-27		// XLw肪dl͈͊O
#define	ERR_STOP_CONDITION		-28		// XgbvgKOgKȊOŎgp
#define	LACK_SAMPLING_PARAMETER	-29		// TvOp[^s
#define	ERR_SAMPLING_NUMBER		-30		// |XgTvOO
#define	ERR_RINGVAL				-31		// Oobt@[[hłȂ̂Stop_Samp_Loop֐gp
#define	ERR_TRANSFERSIZE		-32		// f[^]TCYw͈͊O
#define ERR_DATA_POS			-33		// cobt@̃[hJnʒuw肪
#define ERR_BUF_SIZE			-34		// cobt@̃[hŃobt@GAߏ
#define ERR_PRITRIG_BUF_SIZE	-35		// ReadDirectRam֐Ńobt@GAߏ
#define	ERR_MEMSIZE				-36		// vgKobt@TCYw肪ُ
#define ERR_RESET_ID			-37		// {[hIDs
#define	ERR_FREE_MEMORY			-38		// JɎs
#define	ERR_ServiceReqClear		-39		// T[rXNGXgMNAłȂ
#define	ERR_SIGPOL				-40		// T[rXNGXg̋ɐwi肩オjُ
#define ERR_DEVIDE_VALUE		-41		// XLݒp̕w肪gp\͈͊O
#define	ERR_CHSET_WithoutTRIG	-42		// gKݒ肷OɃ`lZbg悤Ƃ
#define	ERR_Cannot_TimerUse		-43		// }`fBA^C}[gpłȂ
#define	ERR_Cannot_Stop			-44		// łɒ~ĂԂŒ~R}hsꂽ
